Reinitialises the array after being unserialised

- « SplFixedArray::valid

- ArrayObject »

- PHP Manual
- SplFixedArray
- Reinitialises the array after being unserialised

# SplFixedArray::__wakeup

(PHP 5 >= 5.5.0, PHP 7, PHP 8)

SplFixedArray::__wakeup — Reinitialises the array after being unserialised

Warning

This function has been DEPRECATED as of PHP 8.4.0. Relying on this function is highly discouraged.

### Description

#[\Deprecated]
public SplFixedArray::__wakeup(): void

Reinitialises the array after being unserialised.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Changelog

Version | Description
--- | ---
8.4.0 | This method is now deprecated, use SplFixedArray::__unserialize() instead.